#
#	FILE:	 SansiMap.py
#	AUTHOR:  sansi
# 	Version: alpha0.2
#	PURPOSE: Global map script - Random landform (Continents/Pangaea/Archipelago)
#-----------------------------------------------------------------------------
#


from CvPythonExtensions import *
import CvUtil
import CvMapGeneratorUtil
from CvMapGeneratorUtil import FractalWorld
from CvMapGeneratorUtil import TerrainGenerator
from CvMapGeneratorUtil import FeatureGenerator

def beforeGeneration():
	global dice
	gc = CyGlobalContext()
	map = CyMap()
	MapRand = gc.getGame().getMapRand();

	dice = MapRand.get(3, "Random Map");


def getDescription():
	return "Random Map: Continents/Pangaea/Archipelago"
	
def isAdvancedMap():
	"This map should show up in simple mode"
	return 0

def generatePlotTypes():
	global dice
	if dice == 0:
		import Continents
		return Continents.generatePlotTypes();
	if dice == 1:
		import Pangaea
		return Pangaea.generatePlotTypes();
	if dice == 2:
		import Archipelago
		return Archipelago.generatePlotTypes();
	
def generateTerrainTypes():
	global dice
	if dice == 0:
		import Continents
		return Continents.generateTerrainTypes();
	if dice == 1:
		import Pangaea
		return Pangaea.generateTerrainTypes();
	if dice == 2:
		import Archipelago
		return Archipelago.generateTerrainTypes();
	

def addFeatures():
	global dice
	if dice == 0:
		import Continents
		return Continents.addFeatures();
	if dice == 1:
		import Pangaea
		return Pangaea.addFeatures();
	if dice == 2:
		import Archipelago
		return Archipelago.addFeatures();

